//---------------------------------------------------------------------------
#ifndef Moochos_Restamper_EnterDialogUnit_H
#define Moochos_Restamper_EnterDialogUnit_H
//---------------------------------------------------------------------------
// EnterDialogUnit.h
//
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------
class TEnterDialog : public TForm
{
__published:
	TButton* Button1;
	TButton* Button2;
	TEdit* Edit1;
	TLabel* Label1;
private:
	void __fastcall Prepare(const AnsiString& ACaption, const AnsiString& AMessage, AnsiString& AValue);
	AnsiString __fastcall Process();
	void __fastcall Unprepare();
protected:
public:
	virtual __fastcall TEnterDialog(TComponent* AOwner);
	virtual __fastcall ~TEnterDialog();
	bool __fastcall Execute(const AnsiString& ACaption, const AnsiString& AMessage, AnsiString& AValue);
};
//---------------------------------------------------------------------------
extern bool __fastcall EnterValue(const AnsiString& ACaption, const AnsiString& AMessage, AnsiString& AValue);
//---------------------------------------------------------------------------
extern PACKAGE TEnterDialog* EnterDialog;
//---------------------------------------------------------------------------
#endif

